apiVersion: v1
data:
  # { "token": <token> }
  credentials: 
kind: Secret
metadata:
  name: linode-creds
  namespace: crossplane-system
---
apiVersion: linode.upbound.io/v1beta1
kind: ProviderConfig
metadata:
  name: default
spec:
  credentials:
    secretRef:
      key: credentials
      name: linode-creds
      namespace: crossplane-system
    source: Secret
